LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 02-17-2009, 01:36 PM   #1
milebuddha
LQ Newbie
 
Registered: Feb 2009
Posts: 4

Rep: Reputation: 0
eclipse cannot run...


I installed eclipse 3.4.1 in ubuntu8.10. Also, OpenJDK Java 6 Runtime is installed from Applications -> Add/Remove Applications. Now I tried to run eclipse, it comes up with Eclipse blank window and sits there doing nothing further.

Any comment/suggestion will be much appreciated.
 
Old 02-17-2009, 01:38 PM   #2
repo
LQ 5k Club
 
Registered: May 2001
Location: Belgium
Distribution: Arch
Posts: 8,528

Rep: Reputation: 899Reputation: 899Reputation: 899Reputation: 899Reputation: 899Reputation: 899Reputation: 899
run it from a terminal and look for error messages
 
Old 02-17-2009, 02:10 PM   #3
milebuddha
LQ Newbie
 
Registered: Feb 2009
Posts: 4

Original Poster
Rep: Reputation: 0
Thank you for the quick reply.

I've looked at the message. It's said
"Error reading configuration: /opt/eclipse/configuration/org.eclipse.osgi/.manager/.fileTableLock (No such file or directory).

It seems the eclipse was not configured correctly. But how to configure it? I went to configuration folder, ran ./eclipse.ini, and got errors "command not found, No such file or directory..." etc.
 
Old 02-17-2009, 02:44 PM   #4
Ranguvar
Member
 
Registered: Oct 2008
Location: Upstate NY
Distribution: Arch Linux
Posts: 99

Rep: Reputation: 17
./ tells Linux to run a program in the current directory. eclipse.ini is not a program. You would need to open it in an editor (vi, Vim, emacs, nano, GEdit...).
 
Old 02-17-2009, 07:06 PM   #5
milebuddha
LQ Newbie
 
Registered: Feb 2009
Posts: 4

Original Poster
Rep: Reputation: 0
It seems the openJDK Java6 is not the right Java for eclipse 3.4.1. I downloaded sun-java6 and re-installed eclipse. It works now.
 
Old 02-18-2009, 01:46 AM   #6
Ranguvar
Member
 
Registered: Oct 2008
Location: Upstate NY
Distribution: Arch Linux
Posts: 99

Rep: Reputation: 17
That's odd. I run openJDK6 with Eclipse 3.4.1 just fine in Arch (woot for Open Source!). I think something's messed up with Ubuntu's packaging... I would file a bug report with them, and link to the Arch build scripts so they can compare to their own. Or, it could be that Arch has a newer openJDK.
 
Old 02-19-2009, 11:56 AM   #7
milebuddha
LQ Newbie
 
Registered: Feb 2009
Posts: 4

Original Poster
Rep: Reputation: 0
Probably my openJDK was not installed properly? I didn't notice any error message though.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Can't run Eclipse IDE alfredofernandeza Linux - Software 3 05-09-2007 04:06 PM
eclipse project run aral Programming 1 05-04-2006 03:52 PM
How to run Eclipse? max2004 Fedora 10 02-22-2006 02:37 AM
can't run eclipse tazaran Linux - Software 12 06-11-2004 03:46 PM
Can't run programs (eclipse) UberNoob Linux - Newbie 3 12-01-2003 01:52 PM


All times are GMT -5. The time now is 11:30 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration